<template>
    <div>
        <p>
      <strong>Вибрані уроки та вчителі:</strong>
    </p>
    <ul>
      <li v-for="subjectTeacherPair in subjectTeacherPairsArray" :key="subjectTeacherPair">
        {{ getsubjectWithTeacher(subjectTeacherPair.replace('_', '-')) }}
      </li>
    </ul>
    </div>
</template>

<script>

import { mapGetters } from 'vuex';
    export default {
        name: 'ReportPage',

        computed: {
            ...mapGetters(['subjectsGetter', 'teachersGetter', 'selectedTeachersGetter']),
            subjectTeacherPairsArray() {
            return this.$route.params.subjectTeacherPairs.split('/');
            },
    },
  
    methods: {
        getSubjectWithTeacher(subjectTeacherPair) {
        const [subjectId, teacherId] = subjectTeacherPair.split('-');
        const subject = this.subjectsGetter.find((subject) => subject.id.toString() === subjectId);
        const teacher = this.teachersGetter.find((teacher) => teacher.id.toString() === teacherId);

            if (subject && teacher) {
                return `${subject.name} - ${teacher.name}`;
            } else {
                return `Урок з ID ${subjectId}`;
            }
        },
    },
}
</script>

<style lang="scss" scoped>

</style>